---
apiVersion: v1
kind: Service
metadata:
  name: rqlite-interne
spec:
 # type: ClusterIP   # par défaut
  clusterIP: None    # c'est None qui implique le mode Headless
  publishNotReadyAddresses: true   # RIEN n'est indiqué concernant les Headless Services dans https://kubernetes.io/docs/concepts/services-networking/service/#headless-services
  selector:                        # ... MAIS semble important dans le cas présent
    app: rqlite
  ports:
    - port: 4001
      targetPort: 4001
     # protocol: TCP   # par défaut
---
apiVersion: v1
kind: Service
metadata:
  name: rqlite
spec:
  selector:
    app: rqlite
  ports:
    - port: 4001
      targetPort: 4001
...
